#include<bits/stdc++.h>
using namespace std;
int main()
{
    int H,M;
    cin>>H>>M;
    int a[H+1];
    for(int i=1;i<=H;i++)
    {
        cin>>a[i];
    }
    int x,y;
    long long rez=0;
    for(int i=1;i<=M;i++)
    {
        cin>>x>>y;
        if(a[x]>0 && a[y]>0)
        {
            rez=rez+a[x]+a[y];
        }
        else if(a[x]<0 && a[y]<0)
        {
            rez=rez+(-1)*a[x]+(-1)*a[y];
        }
        else
        {
            if(a[x]<a[y])
            {
                swap(x,y);
            }
            if(abs(a[x])>abs(a[y]))
            {
                rez=rez+a[x]+a[y];
            }
            else
            {
                rez=rez+(-1)*a[x]+(-1)*a[y];
            }
        }
        
    }
    cout<<rez<<endl;
    return 0;
}